#### Previous topic

scipy.constants.precision

#### Next topic

scipy.constants.ConstantWarning

# scipy.constants.find

`scipy.constants.``find`(sub=None, disp=False)

  Return list of physical_constant keys containing a given string.

  Parameters:

  sub : str, unicode

  > Sub-string to search keys for. By default, return all keys.

  disp : bool

  > If True, print the keys that are found, and return None. Otherwise, return the list of keys without printing anything.

  Returns:

  keys : list or None

  > If disp is False, the list of keys is returned. Otherwise, None is returned.

  See also

  `codata`
    Contains the description of `physical_constants`, which, as a dictionary literal object, does not itself possess a docstring.